diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/random-variable-stream.h ns-3.44/src/core/model/random-variable-stream.h
--- ns-3.43/src/core/model/random-variable-stream.h	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/random-variable-stream.h	2025-03-09 16:55:49.363371100 -0700
@@ -2424,39 +2424,39 @@
 {
   public:
     /**
-     * \brief Register this type.
-     * \return The object TypeId.
+     * @brief Register this type.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Creates a Largest Extreme Value distribution RNG with the default
+     * @brief Creates a Largest Extreme Value distribution RNG with the default
      * values for the location and the scale.
      */
     LargestExtremeValueRandomVariable();
 
     /**
-     * \brief Get the configured location value of this RNG.
+     * @brief Get the configured location value of this RNG.
      *
-     * \return The configured location value.
+     * @return The configured location value.
      */
     double GetLocation() const;
 
     /**
-     * \brief Get the configured scale value of this RNG.
+     * @brief Get the configured scale value of this RNG.
      *
-     * \return The configured scale value.
+     * @return The configured scale value.
      */
     double GetScale() const;
 
     /**
-     * \copydoc GetValue()
-     * \param [in] location location value of the Largest Extreme Value distribution.
-     * \param [in] scale scale value of the Largest Extreme Value distribution.
+     * @copydoc GetValue()
+     * @param [in] location location value of the Largest Extreme Value distribution.
+     * @param [in] scale scale value of the Largest Extreme Value distribution.
      */
     double GetValue(double location, double scale);
 
-    /** \copydoc GetValue(double,double) */
+    /** @copydoc GetValue(double,double) */
     uint32_t GetInteger(uint32_t location, uint32_t scale);
 
     // Inherited
@@ -2464,31 +2464,31 @@
     using RandomVariableStream::GetInteger;
 
     /**
-     * \brief Returns the mean value for the Largest Extreme Value distribution returned by this RNG
+     * @brief Returns the mean value for the Largest Extreme Value distribution returned by this RNG
      * stream.
-     * \return The mean value for the Largest Extreme Value distribution returned by this
+     * @return The mean value for the Largest Extreme Value distribution returned by this
      * RNG stream.
      */
     double GetMean() const;
 
     /**
-     * \copydoc GetMean()
-     * \param [in] location location value of the Largest Extreme Value distribution.
-     * \param [in] scale scale value of the Largest Extreme Value distribution.
+     * @copydoc GetMean()
+     * @param [in] location location value of the Largest Extreme Value distribution.
+     * @param [in] scale scale value of the Largest Extreme Value distribution.
      */
     static double GetMean(double location, double scale);
 
     /**
-     * \brief Returns the variance value for the Largest Extreme Value distribution returned by this
+     * @brief Returns the variance value for the Largest Extreme Value distribution returned by this
      * RNG stream.
-     * \return The variance value for the Largest Extreme Value distribution returned by
+     * @return The variance value for the Largest Extreme Value distribution returned by
      * this RNG stream.
      */
     double GetVariance() const;
 
     /**
-     * \copydoc GetVariance()
-     * \param [in] scale scale value of the Largest Extreme Value distribution.
+     * @copydoc GetVariance()
+     * @param [in] scale scale value of the Largest Extreme Value distribution.
      */
     static double GetVariance(double scale);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/realtime-simulator-impl.cc ns-3.44/src/core/model/realtime-simulator-impl.cc
--- ns-3.43/src/core/model/realtime-simulator-impl.cc	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/realtime-simulator-impl.cc	2025-03-09 16:55:49.363371100 -0700
@@ -24,8 +24,8 @@
 #include <thread>
 
 /**
- * \file
- * \ingroup realtime
+ * @file
+ * @ingroup realtime
  * ns3::RealTimeSimulatorImpl implementation.
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/realtime-simulator-impl.h ns-3.44/src/core/model/realtime-simulator-impl.h
--- ns-3.43/src/core/model/realtime-simulator-impl.h	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/realtime-simulator-impl.h	2025-03-09 16:55:49.363371100 -0700
@@ -20,8 +20,8 @@
 #include <thread>
 
 /**
- * \file
- * \ingroup realtime
+ * @file
+ * @ingroup realtime
  * ns3::RealtimeSimulatorImpl declaration.
  */
 
@@ -29,14 +29,14 @@
 {
 
 /**
- * \ingroup simulator
- * \defgroup realtime Realtime Simulator
+ * @ingroup simulator
+ * @defgroup realtime Realtime Simulator
  *
  * Realtime simulator implementation.
  */
 
 /**
- * \ingroup realtime
+ * @ingroup realtime
  *
  * Realtime version of SimulatorImpl.
  */
@@ -45,7 +45,7 @@
   public:
     /**
      * Get the registered TypeId for this class.
-     * \returns The TypeId.
+     * @returns The TypeId.
      */
     static TypeId GetTypeId();
 
@@ -66,7 +66,7 @@
          *
          * Falling behind by more than the hard limit tolerance triggers
          * a fatal error.
-         * \see SetHardLimit
+         * @see SetHardLimit
          */
         SYNC_HARD_LIMIT,
     };
@@ -97,7 +97,7 @@
     uint32_t GetContext() const override;
     uint64_t GetEventCount() const override;
 
-    /** \copydoc ScheduleWithContext(uint32_t,const Time&,EventImpl*) */
+    /** @copydoc ScheduleWithContext(uint32_t,const Time&,EventImpl*) */
     void ScheduleRealtimeWithContext(uint32_t context, const Time& delay, EventImpl* event);
     /**
      * Schedule a future event execution (in the same context).
@@ -109,8 +109,8 @@
     /**
      * Schedule an event to run at the current virtual time.
      *
-     * \param [in] context Event context.
-     * \param [in] event The event to schedule.
+     * @param [in] context Event context.
+     * @param [in] event The event to schedule.
      */
     void ScheduleRealtimeNowWithContext(uint32_t context, EventImpl* event);
     /**
@@ -121,26 +121,26 @@
     void ScheduleRealtimeNow(EventImpl* event);
     /**
      * Get the current real time from the synchronizer.
-     * \returns The current real time.
+     * @returns The current real time.
      */
     Time RealtimeNow() const;
 
     /**
      * Set the SynchronizationMode.
      *
-     * \param [in] mode The new SynchronizationMode.
+     * @param [in] mode The new SynchronizationMode.
      */
     void SetSynchronizationMode(RealtimeSimulatorImpl::SynchronizationMode mode);
     /**
      * Get the SynchronizationMode.
-     * \returns The current SynchronizationMode.
+     * @returns The current SynchronizationMode.
      */
     RealtimeSimulatorImpl::SynchronizationMode GetSynchronizationMode() const;
 
     /**
      * Set the fatal error threshold for SynchronizationMode SYNC_HARD_LIMIT.
      *
-     * \param [in] limit The maximum amount of real time we are allowed to fall
+     * @param [in] limit The maximum amount of real time we are allowed to fall
      *     behind before we trigger a fatal error.
      */
     void SetHardLimit(Time limit);
@@ -148,24 +148,24 @@
      * Get the current fatal error threshold for SynchronizationMode
      * SYNC_HARD_LIMIT.
      *
-     * \returns The hard limit threshold.
+     * @returns The hard limit threshold.
      */
     Time GetHardLimit() const;
 
   private:
     /**
      * Is the simulator running?
-     * \returns \c true if we are running.
+     * @returns \c true if we are running.
      */
     bool Running() const;
     /**
      * Check that the Synchronizer is locked to the real time clock.
-     * \return \c true if the Synchronizer is locked.
+     * @return \c true if the Synchronizer is locked.
      */
     bool Realtime() const;
     /**
      * Get the timestep of the next event.
-     * \returns The timestep of the next event.
+     * @returns The timestep of the next event.
      */
     uint64_t NextTs() const;
     /** Process the next event. */
@@ -183,7 +183,7 @@
     bool m_running;
 
     /**
-     * \name Mutex-protected variables.
+     * @name Mutex-protected variables.
      *
      * These variables are protected by #m_mutex.
      */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/rng-seed-manager.cc ns-3.44/src/core/model/rng-seed-manager.cc
--- ns-3.43/src/core/model/rng-seed-manager.cc	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/rng-seed-manager.cc	2025-03-09 16:55:49.363371100 -0700
@@ -14,8 +14,8 @@
 #include "uinteger.h"
 
 /**
- * \file
- * \ingroup randomvariable
+ * @file
+ * @ingroup randomvariable
  * ns3::RngSeedManager implementation.
  */
 
@@ -25,14 +25,14 @@
 NS_LOG_COMPONENT_DEFINE("RngSeedManager");
 
 /**
- * \relates RngSeedManager
+ * @relates RngSeedManager
  * The next random number generator stream number to use
  * for automatic assignment.
  */
 static uint64_t g_nextStreamIndex = 0;
 /**
- * \relates RngSeedManager
- * \anchor GlobalValueRngSeed
+ * @relates RngSeedManager
+ * @anchor GlobalValueRngSeed
  * The random number generator seed number global value.  This is used to
  * generate an new master PRNG sequence.  It is typically not modified
  * by user programs; the variable RngRun is preferred for independent
@@ -45,8 +45,8 @@
                                   ns3::UintegerValue(1),
                                   ns3::MakeUintegerChecker<uint32_t>());
 /**
- * \relates RngSeedManager
- * \anchor GlobalValueRngRun
+ * @relates RngSeedManager
+ * @anchor GlobalValueRngRun
  * The random number generator substream index.  This is used to generate
  * new PRNG sequences for all streams (random variables) in such a manner
  * that the streams remain uncorrelated.  Incrementing this variable can
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/rng-seed-manager.h ns-3.44/src/core/model/rng-seed-manager.h
--- ns-3.43/src/core/model/rng-seed-manager.h	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/rng-seed-manager.h	2025-03-09 16:55:49.363371100 -0700
@@ -11,8 +11,8 @@
 #include <stdint.h>
 
 /**
- * \file
- * \ingroup randomvariable
+ * @file
+ * @ingroup randomvariable
  * ns3::RngSeedManager declaration.
  */
 
@@ -20,7 +20,7 @@
 {
 
 /**
- * \ingroup randomvariable
+ * @ingroup randomvariable
  *
  * Manage the seed number and run number of the underlying
  * random number generator, and automatic assignment of stream numbers.
@@ -29,68 +29,68 @@
 {
   public:
     /**
-     * \brief Set the seed.
+     * @brief Set the seed.
      *
      * This sets the global initial seed which will be used all
      * subsequently instantiated RandomVariableStream objects.
      *
-     * \code
+     * @code
      *   RngSeedManager::SetSeed(15);
      *   UniformVariable x(2,3);     // These will give the same output every time
      *   ExponentialVariable y(120); // as long as the seed stays the same.
-     * \endcode
-     * \param [in] seed The seed value to use.
+     * @endcode
+     * @param [in] seed The seed value to use.
      *
-     * \note While the underlying RNG takes six integer values as a seed;
+     * @note While the underlying RNG takes six integer values as a seed;
      * it is sufficient to set these all to the same integer, so we provide
      * a simpler interface here that just takes one integer.
      */
     static void SetSeed(uint32_t seed);
 
     /**
-     * \brief Get the current seed value which will be used by all
+     * @brief Get the current seed value which will be used by all
      * subsequently instantiated RandomVariableStream objects.
      *
-     * \return The seed value.
+     * @return The seed value.
      *
      * This returns the current seed value.
      */
     static uint32_t GetSeed();
 
     /**
-     * \brief Set the run number of simulation.
+     * @brief Set the run number of simulation.
      *
-     * \code
+     * @code
      *   RngSeedManager::SetSeed(12);
      *   int N = atol(argv[1]);      // Read in run number from command line.
      *   RngSeedManager::SetRun(N);
      *   UniformVariable x(0,10);
      *   ExponentialVariable y(2902);
-     * \endcode
+     * @endcode
      * In this example, \c N could successively be equal to 1,2,3, _etc._
      * and the user would continue to get independent runs out of the
      * single simulation.  For this simple example, the following might work:
-     * \code
+     * @code
      *   ./simulation 0
      *   ...Results for run 0:...
      *
      *   ./simulation 1
      *   ...Results for run 1:...
-     * \endcode
+     * @endcode
      *
-     * \param [in] run The run number.
+     * @param [in] run The run number.
      */
     static void SetRun(uint64_t run);
     /**
-     * \brief Get the current run number.
-     * \returns The current run number
-     * \see SetRun
+     * @brief Get the current run number.
+     * @returns The current run number
+     * @see SetRun
      */
     static uint64_t GetRun();
 
     /**
      * Get the next automatically assigned stream index.
-     * \returns The next stream index.
+     * @returns The next stream index.
      */
     static uint64_t GetNextStreamIndex();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/rng-stream.cc ns-3.44/src/core/model/rng-stream.cc
--- ns-3.43/src/core/model/rng-stream.cc	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/rng-stream.cc	2025-03-09 16:55:49.363371100 -0700
@@ -17,8 +17,8 @@
 #include <iostream>
 
 /**
- * \file
- * \ingroup rngimpl
+ * @file
+ * @ingroup rngimpl
  * ns3::RngStream and MRG32k3a implementations.
  */
 
@@ -33,7 +33,7 @@
 } // namespace ns3
 
 /**
- * \ingroup rngimpl
+ * @ingroup rngimpl
  * @{
  */
 /** Namespace for MRG32k3a implementation details. */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/rng-stream.h ns-3.44/src/core/model/rng-stream.h
--- ns-3.43/src/core/model/rng-stream.h	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/rng-stream.h	2025-03-09 16:55:49.363371100 -0700
@@ -11,8 +11,8 @@
 #include <string>
 
 /**
- * \file
- * \ingroup rngimpl
+ * @file
+ * @ingroup rngimpl
  * ns3::RngStream declaration.
  */
 
@@ -20,14 +20,14 @@
 {
 
 /**
- * \ingroup randomvariable
- * \defgroup rngimpl RNG Implementation
+ * @ingroup randomvariable
+ * @defgroup rngimpl RNG Implementation
  */
 
 /**
- * \ingroup rngimpl
+ * @ingroup rngimpl
  *
- * \brief Combined Multiple-Recursive Generator MRG32k3a
+ * @brief Combined Multiple-Recursive Generator MRG32k3a
  *
  * This class is the combined multiple-recursive random number
  * generator called MRG32k3a.  The ns3::RandomVariableBase class
@@ -41,22 +41,22 @@
     /**
      * Construct from explicit seed, stream and substream values.
      *
-     * \param [in] seed The starting seed.
-     * \param [in] stream The stream number.
-     * \param [in] substream The sub-stream number.
+     * @param [in] seed The starting seed.
+     * @param [in] stream The stream number.
+     * @param [in] substream The sub-stream number.
      */
     RngStream(uint32_t seed, uint64_t stream, uint64_t substream);
     /**
      * Copy constructor.
      *
-     * \param [in] r The RngStream to copy.
+     * @param [in] r The RngStream to copy.
      */
     RngStream(const RngStream& r);
     /**
      * Generate the next random number for this stream.
      * Uniformly distributed between 0 and 1.
      *
-     * \returns The next random.
+     * @returns The next random.
      */
     double RandU01();
 
@@ -64,9 +64,9 @@
     /**
      * Advance \pname{state} of the RNG by leaps and bounds.
      *
-     * \param [in] nth The stream or substream index.
-     * \param [in] by The log2 base of \pname{nth}.
-     * \param [in] state The state vector to advance.
+     * @param [in] nth The stream or substream index.
+     * @param [in] by The log2 base of \pname{nth}.
+     * @param [in] state The state vector to advance.
      */
     void AdvanceNthBy(uint64_t nth, int by, double state[6]);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/scheduler.cc ns-3.44/src/core/model/scheduler.cc
--- ns-3.43/src/core/model/scheduler.cc	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/scheduler.cc	2025-03-09 16:55:49.363371100 -0700
@@ -12,8 +12,8 @@
 #include "log.h"
 
 /**
- * \file
- * \ingroup scheduler
+ * @file
+ * @ingroup scheduler
  * ns3::Scheduler implementation.
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/scheduler.h ns-3.44/src/core/model/scheduler.h
--- ns-3.43/src/core/model/scheduler.h	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/scheduler.h	2025-03-09 16:55:49.363371100 -0700
@@ -14,9 +14,9 @@
 #include <stdint.h>
 
 /**
- * \file
- * \ingroup scheduler
- * \ingroup events
+ * @file
+ * @ingroup scheduler
+ * @ingroup events
  * ns3::Scheduler abstract base class, ns3::Scheduler::Event and
  * ns3::Scheduler::EventKey declarations.
  */
@@ -27,17 +27,17 @@
 class EventImpl;
 
 /**
- * \ingroup core
- * \defgroup scheduler Scheduler and Events
- * \brief Manage the event list by creating and scheduling events.
+ * @ingroup core
+ * @defgroup scheduler Scheduler and Events
+ * @brief Manage the event list by creating and scheduling events.
  */
 /**
- * \ingroup scheduler
- * \defgroup events Events
+ * @ingroup scheduler
+ * @defgroup events Events
  */
 /**
- * \ingroup scheduler
- * \brief Maintain the event list
+ * @ingroup scheduler
+ * @brief Maintain the event list
  *
  *
  * In ns-3 the Scheduler manages the future event list.  There are several
@@ -147,12 +147,12 @@
   public:
     /**
      * Register this type.
-     * \return The object TypeId.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
     /**
-     * \ingroup events
+     * @ingroup events
      * Structure for sorting and comparing Events.
      */
     struct EventKey
@@ -163,7 +163,7 @@
     };
 
     /**
-     * \ingroup events
+     * @ingroup events
      * Scheduler event.
      *
      * An Event consists of an EventKey, used for maintaining the schedule,
@@ -181,13 +181,13 @@
     /**
      * Insert a new Event in the schedule.
      *
-     * \param [in] ev Event to store in the event list
+     * @param [in] ev Event to store in the event list
      */
     virtual void Insert(const Event& ev) = 0;
     /**
      * Test if the schedule is empty.
      *
-     * \returns \c true if the event list is empty and \c false otherwise.
+     * @returns \c true if the event list is empty and \c false otherwise.
      */
     virtual bool IsEmpty() const = 0;
     /**
@@ -195,7 +195,7 @@
      *
      * This method cannot be invoked if the list is empty.
      *
-     * \returns A pointer to the next earliest event. The caller
+     * @returns A pointer to the next earliest event. The caller
      *      takes ownership of the returned pointer.
      */
     virtual Event PeekNext() const = 0;
@@ -204,7 +204,7 @@
      *
      * This method cannot be invoked if the list is empty.
      *
-     * \return The Event.
+     * @return The Event.
      */
     virtual Event RemoveNext() = 0;
     /**
@@ -212,18 +212,18 @@
      *
      * This method cannot be invoked if the list is empty.
      *
-     * \param [in] ev The event to remove
+     * @param [in] ev The event to remove
      */
     virtual void Remove(const Event& ev) = 0;
 };
 
 /**
- * \ingroup events
+ * @ingroup events
  * Compare (equal) two events by EventKey.
  *
- * \param [in] a The first event.
- * \param [in] b The second event.
- * \returns \c true if \c a != \c b
+ * @param [in] a The first event.
+ * @param [in] b The second event.
+ * @returns \c true if \c a != \c b
  */
 inline bool
 operator==(const Scheduler::EventKey& a, const Scheduler::EventKey& b)
@@ -232,12 +232,12 @@
 }
 
 /**
- * \ingroup events
+ * @ingroup events
  * Compare (not equal) two events by EventKey.
  *
- * \param [in] a The first event.
- * \param [in] b The second event.
- * \returns \c true if \c a != \c b
+ * @param [in] a The first event.
+ * @param [in] b The second event.
+ * @returns \c true if \c a != \c b
  */
 inline bool
 operator!=(const Scheduler::EventKey& a, const Scheduler::EventKey& b)
@@ -246,7 +246,7 @@
 }
 
 /**
- * \ingroup events
+ * @ingroup events
  * Compare (less than) two events by EventKey.
  *
  * Note the invariants which this function must provide:
@@ -254,9 +254,9 @@
  * - antisymmetry: f(x,y) = !f(y,x)
  * - transitivity: f(x,y) and f(y,z) => f(x,z)
  *
- * \param [in] a The first event.
- * \param [in] b The second event.
- * \returns \c true if \c a < \c b
+ * @param [in] a The first event.
+ * @param [in] b The second event.
+ * @returns \c true if \c a < \c b
  */
 inline bool
 operator<(const Scheduler::EventKey& a, const Scheduler::EventKey& b)
@@ -267,9 +267,9 @@
 /**
  * Compare (greater than) two events by EventKey.
  *
- * \param [in] a The first event.
- * \param [in] b The second event.
- * \returns \c true if \c a > \c b
+ * @param [in] a The first event.
+ * @param [in] b The second event.
+ * @returns \c true if \c a > \c b
  */
 inline bool
 operator>(const Scheduler::EventKey& a, const Scheduler::EventKey& b)
@@ -280,9 +280,9 @@
 /**
  * Compare (equal) two events by Event.
  *
- * \param [in] a The first event.
- * \param [in] b The second event.
- * \returns \c true if \c a == \c b
+ * @param [in] a The first event.
+ * @param [in] b The second event.
+ * @returns \c true if \c a == \c b
  */
 inline bool
 operator==(const Scheduler::Event& a, const Scheduler::Event& b)
@@ -293,9 +293,9 @@
 /**
  * Compare (not equal) two events by Event.
  *
- * \param [in] a The first event.
- * \param [in] b The second event.
- * \returns \c true if \c a != \c b
+ * @param [in] a The first event.
+ * @param [in] b The second event.
+ * @returns \c true if \c a != \c b
  */
 inline bool
 operator!=(const Scheduler::Event& a, const Scheduler::Event& b)
@@ -306,9 +306,9 @@
 /**
  * Compare (less than) two events by Event.
  *
- * \param [in] a The first event.
- * \param [in] b The second event.
- * \returns \c true if \c a < \c b
+ * @param [in] a The first event.
+ * @param [in] b The second event.
+ * @returns \c true if \c a < \c b
  */
 inline bool
 operator<(const Scheduler::Event& a, const Scheduler::Event& b)
@@ -319,9 +319,9 @@
 /**
  * Compare (greater than) two events by Event.
  *
- * \param [in] a The first event.
- * \param [in] b The second event.
- * \returns \c true if \c a > \c b
+ * @param [in] a The first event.
+ * @param [in] b The second event.
+ * @returns \c true if \c a > \c b
  */
 inline bool
 operator>(const Scheduler::Event& a, const Scheduler::Event& b)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/show-progress.cc ns-3.44/src/core/model/show-progress.cc
--- ns-3.43/src/core/model/show-progress.cc	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/show-progress.cc	2025-03-09 16:55:49.363371100 -0700
@@ -8,8 +8,8 @@
  */
 
 /**
- * \file
- * \ingroup core
+ * @file
+ * @ingroup core
  * ns3::ShowProgress implementation.
  */
 
@@ -142,7 +142,7 @@
     NS_LOG_FUNCTION(this << m_elapsed);
 
     // Don't do anything unless the elapsed time is positive.
-    if (m_elapsed <= Time(0))
+    if (m_elapsed.IsNegative())
     {
         m_vtime = m_vtime * MAXGAIN;
         ++m_repCount;
@@ -161,7 +161,7 @@
     uint64_t events = Simulator::GetEventCount();
     uint64_t nEvents = events - m_eventCount;
     /**
-     * \internal Update algorithm
+     * @internal Update algorithm
      *
      * We steer \c m_vtime to obtain updates approximately every
      * \c m_interval in wall clock time.  To smooth things out a little
@@ -176,7 +176,7 @@
      *
      * Graphically, the windows in ratio value and the corresponding
      * updates to \c m_vtime are sketched in this figure:
-     * \verbatim
+     * @verbatim
                         ^
                         |
                 ratio   |   vtime update
@@ -215,7 +215,7 @@
      * half the ratio.  This reduces "hunting" for a stable update
      * period.
      *
-     * \todo Evaluate if simple exponential averaging would be
+     * @todo Evaluate if simple exponential averaging would be
      * more effective, simpler.
      */
     if (ratio > HYSTERESIS)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/show-progress.h ns-3.44/src/core/model/show-progress.h
--- ns-3.43/src/core/model/show-progress.h	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/show-progress.h	2025-03-09 16:55:49.363371100 -0700
@@ -11,8 +11,8 @@
 #define SHOW_PROGRESS_H
 
 /**
- * \file
- * \ingroup core
+ * @file
+ * @ingroup core
  * ns3::ShowProgress declaration.
  */
 
@@ -28,8 +28,8 @@
 {
 
 /**
- * \ingroup core
- * \ingroup debugging
+ * @ingroup core
+ * @ingroup debugging
  *
  * Periodically print a status message indicating simulator progress.
  *
@@ -46,7 +46,7 @@
  *
  * Example usage:
  *
- * \code
+ * @code
  *     int main (int arg, char ** argv)
  *     {
  *       // Create your model
@@ -55,11 +55,11 @@
  *       Simulator::Run ();
  *       Simulator::Destroy ();
  *     }
- * \endcode
+ * @endcode
  *
  * This generates output similar to the following:
  *
- * \code
+ * @code
  *     Start wall clock: Tue May 19 10:24:07 2020
  *     +17.179869183s (   4.937x real time) 29559 events processed
  *     +25.769803775s (   4.965x real time) 45179 events processed
@@ -70,7 +70,7 @@
  *     +194.339562435s (  12.776x real time) 30957 events processed
  *     End wall clock:  Tue May 19 10:24:23 2020
  *     Elapsed wall clock: 16s
- * \endcode
+ * @endcode
  *
  * A more extensive example of use is provided in sample-show-progress.cc.
  *
@@ -84,17 +84,17 @@
   public:
     /**
      * Constructor.
-     * \param [in] interval The target wallclock interval to show progress.
-     * \param [in] os The stream to print on.
+     * @param [in] interval The target wallclock interval to show progress.
+     * @param [in] os The stream to print on.
      */
-    ShowProgress(const Time interval = Seconds(1.0), std::ostream& os = std::cout);
+    ShowProgress(const Time interval = Seconds(1), std::ostream& os = std::cout);
 
     /** Destructor. */
     ~ShowProgress();
 
     /**
      * Set the target update interval, in wallclock time.
-     * \param [in] interval The target wallclock interval to show progress.
+     * @param [in] interval The target wallclock interval to show progress.
      */
     void SetInterval(const Time interval);
 
@@ -104,20 +104,20 @@
      *
      * The default is DefaultTimePrinter().
      *
-     * \param [in] lp The TimePrinter function.
+     * @param [in] lp The TimePrinter function.
      */
     void SetTimePrinter(TimePrinter lp);
 
     /**
      * Set the output stream to show progress on.
-     * \param [in] os The output stream; defaults to std::cerr.
+     * @param [in] os The output stream; defaults to std::cerr.
      */
     void SetStream(std::ostream& os);
 
     /**
      * Set verbose mode to print real and virtual time intervals.
      *
-     * \param [in] verbose \c true to turn on verbose mode
+     * @param [in] verbose \c true to turn on verbose mode
      */
     void SetVerbose(bool verbose);
 
@@ -150,22 +150,22 @@
     /**
      * Show execution progress.
      * This function actually generates output, when directed by CheckProgress().
-     * \param [in] nEvents The actual number of events processed since the last
+     * @param [in] nEvents The actual number of events processed since the last
      *             progress output.
-     * \param [in] ratio The current ratio of elapsed wall clock time to the
+     * @param [in] ratio The current ratio of elapsed wall clock time to the
      *             target update interval.
-     * \param [in] speed The execution speed relative to wall clock time.
+     * @param [in] speed The execution speed relative to wall clock time.
      */
     void GiveFeedback(uint64_t nEvents, int64x64_t ratio, int64x64_t speed);
 
     /**
      * Hysteresis factor.
-     * \see Feedback()
+     * @see Feedback()
      */
     static const int64x64_t HYSTERESIS;
     /**
      * Maximum growth factor.
-     * \see Feedback()
+     * @see Feedback()
      */
     static const int64x64_t MAXGAIN;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/shuffle.h ns-3.44/src/core/model/shuffle.h
--- ns-3.43/src/core/model/shuffle.h	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/shuffle.h	2025-03-09 16:55:49.363371100 -0700
@@ -10,8 +10,8 @@
 #define SHUFFLE_H
 
 /**
- * \file
- * \ingroup randomvariable
+ * @file
+ * @ingroup randomvariable
  * Function to shuffle elements in a given range.
  */
 
@@ -38,10 +38,10 @@
  * we can still achieve a linear complexity by copying the elements in a vector and shuffling the
  * elements of the vector.
  *
- * \tparam RND_ACCESS_ITER \deduced the iterator type (must be a random access iterator)
- * \param first an iterator pointing to the first element in the range to shuffle
- * \param last an iterator pointing to past-the-last element in the range to shuffle
- * \param rv pointer to a uniform random variable
+ * @tparam RND_ACCESS_ITER \deduced the iterator type (must be a random access iterator)
+ * @param first an iterator pointing to the first element in the range to shuffle
+ * @param last an iterator pointing to past-the-last element in the range to shuffle
+ * @param rv pointer to a uniform random variable
  */
 template <typename RND_ACCESS_ITER>
 void
